function Xlag = mlag(y,p,option)

%=======================================================================================
% PURPOSE: 
% creates a lag matrix 
% 
% INPUT: 
% y = (nx1) data vector
% p = lag order required 
% option = option for including a vector of ones: ("0" no constant term; '1'
% cosntnt term included)
% 
% OUTPUT: 
% Xlag = a matrix of lagged values (with or without a constant)
%
% AUTHOR: 
% Marian Vavra (marian.vavra@gmail.com)
%=======================================================================================

nobs = length(y);

if option == 0              % no constant in Xlag
    
    Xlag = [];
    for j=1:p
        Xlag(:,j) = y(p-j+1:nobs-j);
    end
    
elseif option == 1          % a constant vector in Xlag
    
    Xlag = [];
    for j=1:p
        Xlag(:,j) = y(p-j+1:nobs-j);
    end
    Xlag = [ones(rows(Xlag),1) Xlag];
end


