function psi = xtest_skewness(x)

%=======================================================================================
% PURPOSE:
% Calculates three skewness-based statistics 
%
% INPUT:
% x = (nx1) vector of observations (stationary series only!)
%
% OUTPUT:
%
% AUTHOR:
% Marian Vavra (marian.vavra@gmail.com)
%
% REFERENCES:
% [1] Psaradakis (2016), Journal of Business and Economic Statistics
%=======================================================================================

z = x-mean(x);
psi1 = mean(z.^3);
psi2 = mean(z./(1+z.^2));
psi3 = mean(atan(z));
psi = [psi1, psi2, psi3];

